# Class SocketUtility

java.lang.Object
org.mariadb.jdbc.internal.io.socket.SocketUtility

public class SocketUtility extends Object

## Constructor Summary

Constructors
Constructor
Description
`SocketUtility()`

## Method Summary

Modifier and Type
Method
Description
`static SocketHandlerFunction`
`getSocketHandler()`
Create socket according to options.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketUtility

public SocketUtility()

## Method Details

### getSocketHandler

public static SocketHandlerFunction getSocketHandler()
Create socket according to options. In case of compilation ahead of time, will throw an error if dependencies found, then use default socket implementation.

Returns:
  Socket